# Visualization
TKV3d
Prs3d

# Prs3d_LengthAspect Class Reference

defines the attributes when drawing a Length Presentation.

`#include <Prs3d_LengthAspect.hxx>`

Inheritance diagram for Prs3d_LengthAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_LengthAspect ()
| Constructs an empty framework to define the display of lengths. .
Standard_EXPORT Handle_Prs3d_LineAspect | LineAspect () const
| Returns the settings for the display of lines used in presentation of lengths. .
Standard_EXPORT void | SetLineAspect (const Handle(Prs3d_LineAspect)&anAspect)
| Sets the display attributes of lines used in presentation of lengths. .
Standard_EXPORT Handle_Prs3d_ArrowAspect | Arrow1Aspect () const
| Returns the settings for displaying a right-pointing arrow. .
Standard_EXPORT void | SetArrow1Aspect (const Handle(Prs3d_ArrowAspect)&anAspect)
| Sets the display attributes of the first arrow used in presentation of lengths. .
Standard_EXPORT Handle_Prs3d_ArrowAspect | Arrow2Aspect () const
| Returns the settings for displaying a left-pointing arrow. .
Standard_EXPORT void | SetArrow2Aspect (const Handle(Prs3d_ArrowAspect)&anAspect)
| Sets the display attributes of the second arrow used in presentation of lengths. .
Standard_EXPORT Handle_Prs3d_TextAspect | TextAspect () const
| Returns the settings for the display of text used in presentation of lengths. .
Standard_EXPORT void | SetTextAspect (const Handle(Prs3d_TextAspect)&anAspect)
| Sets the display attributes of text used in presentation of lengths. .
Standard_EXPORT void | SetDrawFirstArrow (const Standard_Boolean draw)
| Sets the DrawFirstArrow attributes to active. .
Standard_EXPORT Standard_Boolean | DrawFirstArrow () const
| Returns true if the first arrow can be drawn. .
Standard_EXPORT void | SetDrawSecondArrow (const Standard_Boolean draw)
| Sets the DrawSecondArrow attributes to active. .
Standard_EXPORT Standard_Boolean | DrawSecondArrow () const
| Returns true if the second arrow can be drawn. .
Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Prs3d_LineAspect | myLineAspect
Handle_Prs3d_ArrowAspect | myArrow1Aspect
Handle_Prs3d_ArrowAspect | myArrow2Aspect
Handle_Prs3d_TextAspect | myTextAspect
Standard_Boolean | myDrawFirstArrow
Standard_Boolean | myDrawSecondArrow

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_LengthAspect::Prs3d_LengthAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Prs3d_ArrowAspect Prs3d_LengthAspect::Arrow1Aspect | ( |  | ) | const

Standard_EXPORT Handle_Prs3d_ArrowAspect Prs3d_LengthAspect::Arrow2Aspect | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_LengthAspect::DrawFirstArrow | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_LengthAspect::DrawSecondArrow | ( |  | ) | const

Standard_EXPORT const Prs3d_LengthAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_CompositeAspect.

Standard_EXPORT Handle_Prs3d_LineAspect Prs3d_LengthAspect::LineAspect | ( |  | ) | const

Standard_EXPORT void Prs3d_LengthAspect::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT void Prs3d_LengthAspect::SetArrow1Aspect | ( | const Handle(Prs3d_ArrowAspect)& | anAspect | ) |

Standard_EXPORT void Prs3d_LengthAspect::SetArrow2Aspect | ( | const Handle(Prs3d_ArrowAspect)& | anAspect | ) |

Standard_EXPORT void Prs3d_LengthAspect::SetDrawFirstArrow | ( | const Standard_Boolean | draw | ) |

Standard_EXPORT void Prs3d_LengthAspect::SetDrawSecondArrow | ( | const Standard_Boolean | draw | ) |

Standard_EXPORT void Prs3d_LengthAspect::SetLineAspect | ( | const Handle(Prs3d_LineAspect)& | anAspect | ) |

Standard_EXPORT void Prs3d_LengthAspect::SetTextAspect | ( | const Handle(Prs3d_TextAspect)& | anAspect | ) |

Standard_EXPORT Handle_Prs3d_TextAspect Prs3d_LengthAspect::TextAspect | ( |  | ) | const

## Field Documentation

Handle_Prs3d_ArrowAspect Prs3d_LengthAspect::myArrow1Aspect `[private]`

Handle_Prs3d_ArrowAspect Prs3d_LengthAspect::myArrow2Aspect `[private]`

Standard_Boolean Prs3d_LengthAspect::myDrawFirstArrow `[private]`

Standard_Boolean Prs3d_LengthAspect::myDrawSecondArrow `[private]`

Handle_Prs3d_LineAspect Prs3d_LengthAspect::myLineAspect `[private]`

Handle_Prs3d_TextAspect Prs3d_LengthAspect::myTextAspect `[private]`

The documentation for this class was generated from the following file:

- Prs3d_LengthAspect.hxx